import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceFreeSaleBuyers = createAsyncThunk(
  "PROVINCE_FREE_SALES_GET_BUYERS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "out-province-poultry-request-buyers/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
